BADBLOCKS(8)

NAME
badblocks - search a device for bad blocks

SYNOPSIS
badblocks [ -b block-size ] [ -o output_file ] [ -s ] [ -v ] [ -w ] device blocks-count [ start-block ]

DESCRIPTION
badblocks is used to search for bad blocks on a device (usually a disk partition).
device is the special file corresponding to the device (e.g /dev/hdXX).
blocks-count is the number of blocks on the device.

OPTIONS

-b block-size
    Specify the size of blocks in bytes.

-o output_file
    Write the list of bad blocks to the specified file. Without this option, badblocks displays the list on its standard output. The format of this file is suitable for use by the -l option in e2fsck(8) or mke2fs(8).

-s  Show the progress of the scan by writing out the block numbers as they are checked.

-v  Verbose mode.

-w  Use write-mode test. With this option, badblocks scans for bad blocks by writing some patterns (0xaa, 0x55, 0xff, 0x00) on every block of the device, reading every block and comparing the contents.

WARNING
Never use the `-w' option on an device containing an existing file system. This option erases data!

AUTHOR
badblocks was written by Remy Card <card@masi.ibp.fr>, the developer and maintainer of the ext2 fs.

BUGS
I had no chance to make real tests of this program since I use IDE drives, which remap bad blocks. I only made some tests on floppies.

AVAILABILITY
badblocks is part of the e2fsprogs package and is available for anonymous ftp from tsx-11.mit.edu in /pub/linux/packages/ext2fs.

SEE ALSO
e2fsck(8), mke2fs(8)